Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class FormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractClosingTag
                              org.apache.struts2.views.jsp.ui.FormTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FormTag

extends AbstractClosingTag

See Also:
  `Form`, Serialized Form

Field Summary
`protected java.lang.String` | `acceptcharset`
`protected java.lang.String` | `action`
`protected java.lang.String` | `enctype`
`protected java.lang.String` | `focusElement`
`protected boolean` | `includeContext`
`protected java.lang.String` | `method`
`protected java.lang.String` | `namespace`
`protected java.lang.String` | `onreset`
`protected java.lang.String` | `onsubmit`
`protected java.lang.String` | `portletMode`
`protected java.lang.String` | `target`
`protected java.lang.String` | `validate`
`protected java.lang.String` | `windowState`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`openTemplate`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`protected void` | `populateParams()`
`void` | `setAcceptcharset(java.lang.String acceptcharset)`
`void` | `setAction(java.lang.String action)`
`void` | `setEnctype(java.lang.String enctype)`
`void` | `setFocusElement(java.lang.String focusElement)`
`void` | `setIncludeContext(boolean includeContext)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`void` | `setOnreset(java.lang.String onreset)`
`void` | `setOnsubmit(java.lang.String onsubmit)`
`void` | `setPortletMode(java.lang.String portletMode)`
`void` | `setTarget(java.lang.String target)`
`void` | `setValidate(java.lang.String validate)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`setOpenTemplate`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### action

    protected java.lang.String action

### target

    protected java.lang.String target

### enctype

    protected java.lang.String enctype

### method

    protected java.lang.String method

### namespace

    protected java.lang.String namespace

### validate

    protected java.lang.String validate

### onsubmit

    protected java.lang.String onsubmit

### onreset

    protected java.lang.String onreset

### portletMode

    protected java.lang.String portletMode

### windowState

    protected java.lang.String windowState

### acceptcharset

    protected java.lang.String acceptcharset

### focusElement

    protected java.lang.String focusElement

### includeContext

    protected boolean includeContext

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractClosingTag`

### setAction

    public void setAction(java.lang.String action)

### setTarget

    public void setTarget(java.lang.String target)

### setEnctype

    public void setEnctype(java.lang.String enctype)

### setMethod

    public void setMethod(java.lang.String method)

### setNamespace

    public void setNamespace(java.lang.String namespace)

### setValidate

    public void setValidate(java.lang.String validate)

### setOnsubmit

    public void setOnsubmit(java.lang.String onsubmit)

### setOnreset

    public void setOnreset(java.lang.String onreset)

### setPortletMode

    public void setPortletMode(java.lang.String portletMode)

### setWindowState

    public void setWindowState(java.lang.String windowState)

### setAcceptcharset

    public void setAcceptcharset(java.lang.String acceptcharset)

### setFocusElement

    public void setFocusElement(java.lang.String focusElement)

### setIncludeContext

    public void setIncludeContext(boolean includeContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.